### Method

# RB PlaylistSource add_to_map

#### Declaration [src]

    gboolean
    rb_playlist_source_add_to_map (
      RBPlaylistSource* source,
      const char* location
    )

#### Description [src]

Adds a URI to the playlist’s entry map. This is useful when the URI is being added to the database, but no entry exists for it yet. When the entry is created, it will be added to the query model.

#### Parameters

`location`

  Type: `const char*`

  A URI to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE if the URI was added to the entry map, FALSE if it was already there.